xine-lib: audio_driver_class_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
audio_driver_class_s Struct Reference

`#include <audio_out.h>`

## Data Fields
ao_driver_t *(* | open_plugin )(audio_driver_class_t *, const void *data)
const char * | identifier
| short human readable identifier for this plugin class
const char * | description
| human readable (verbose = 1 line) description for this plugin class
const char * | text_domain
| Optional non-standard catalog to use with dgettext() for description.
void(* | dispose )(audio_driver_class_t *)

## Field Documentation

## ◆ description

const char* audio_driver_class_s::description

human readable (verbose = 1 line) description for this plugin class

The description is passed to gettext() to internationalise.

Referenced by _opensles_init_class(), ao_file_init_class(), ao_none_init_class(), ao_sun_init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), and init_class().

## ◆ dispose

void(* audio_driver_class_s::dispose) (audio_driver_class_t *)

Referenced by _opensles_init_class(), ao_file_init_class(), ao_none_init_class(), ao_sun_init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), and init_class().

## ◆ identifier

const char* audio_driver_class_s::identifier

short human readable identifier for this plugin class

Referenced by _opensles_init_class(), ao_file_init_class(), ao_none_init_class(), ao_sun_init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), and init_class().

## ◆ open_plugin

ao_driver_t *(* audio_driver_class_s::open_plugin) (audio_driver_class_t *, const void *data)

Referenced by _opensles_init_class(), ao_file_init_class(), ao_none_init_class(), ao_sun_init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), and init_class().

## ◆ text_domain

const char* audio_driver_class_s::text_domain

Optional non-standard catalog to use with dgettext() for description.

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/audio_out.h